%global major 1
%define libname %mklibname dwarf %major
%define devname %mklibname -d dwarf
%define soversion 1
%define soname libdwarf.so.%{soversion}
%define sofullname libdwarf.so.%{soversion}.%{version}.0

Name:          libdwarf
Version:       20160507
Release:       %mkrel 2
Summary:       Library to access the DWARF Debugging file format 
Group:         Development/C

License:       LGPLv2
URL:           http://www.prevanders.net/dwarf.html
Source0:       http://www.prevanders.net/%{name}-%{version}.tar.gz
# Allow the soname to be set when linking
Patch0:        libdwarf-shlib.patch
# Include user CFLAGS in HOSTCFLAGS
Patch1:        libdwarf-hostcflags.patch

BuildRequires: binutils-devel elfutils-devel

%package -n %libname
Summary: $prog
Group: System/Libraries

%description -n %libname
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%package -n %devname
Summary:       Library and header files of libdwarf
Group:         Development/C
License:       LGPLv2
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%package static
Summary:       Static libdwarf library
Group:         Development/C
License:       LGPLv2
Requires:      %{name}-devel = %{version}-%{release}

%package tools
Summary:       Tools for accessing DWARF debugging information
Group:         Development/Tools
License:       GPLv2
Requires:      %{libname} = %{version}-%{release}

%description
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%description static
Static libdwarf library.

%description -n %devname
Development package containing library and header files of libdwarf.

%description tools
C++ version of dwarfdump (dwarfdump2) command-line utilities 
to access DWARF debug information.

%prep
%autosetup -p1 -n dwarf-%{version}

%build
%configure2_5x --enable-shared
LD_LIBRARY_PATH="../libdwarf" %make SONAME="%{soname}"

%install
install -pDm 0644 libdwarf/dwarf.h         %{buildroot}%{_includedir}/libdwarf/dwarf.h
install -pDm 0644 libdwarf/libdwarf.a      %{buildroot}%{_libdir}/libdwarf.a

install -pDm 0644 libdwarf/libdwarf.h      %{buildroot}%{_includedir}/libdwarf/libdwarf.h
install -pDm 0755 libdwarf/libdwarf.so     %{buildroot}%{_libdir}/%{sofullname}
ln      -s        %{sofullname}            %{buildroot}%{_libdir}/%{soname}
ln      -s        %{sofullname}            %{buildroot}%{_libdir}/libdwarf.so
install -pDm 0755 dwarfdump/dwarfdump      %{buildroot}%{_bindir}/dwarfdump



%files -n %libname
%doc libdwarf/ChangeLog libdwarf/README
%license libdwarf/COPYING libdwarf/LIBDWARFCOPYRIGHT libdwarf/LGPL.txt
%{_libdir}/libdwarf.so.%{major}
%{_libdir}/libdwarf.so.%{major}.*

%files static
%{_libdir}/libdwarf.a

%files -n %devname
%doc libdwarf/*.pdf
%{_includedir}/libdwarf
%{_libdir}/libdwarf.so

%files tools
%doc dwarfdump/README dwarfdump/ChangeLog
%license dwarfdump/COPYING dwarfdump/DWARFDUMPCOPYRIGHT dwarfdump/GPL.txt
%{_bindir}/dwarfdump



%changelog
* Wed May 18 2016 tv <tv> 20160507-2.mga6
+ Revision: 1016674
- fix tools requires

* Tue May 17 2016 tv <tv> 20160507-1.mga6
+ Revision: 1016462
- imported package libdwarf

